import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-28 10:11
 */
export interface BusParkingAdConfig {
    /**
    *
    * @type { string }
    */
    adCfgId?: string;
    /**
    *
    * @type { string }
    */
    adName?: string;
    /**
    *
    * @type { string }
    */
    adTitle?: string;
    /**
    *
    * @type { string }
    */
    adLink?: string;
    /**
    *
    * @type { string }
    */
    adPicUrl?: string;
    /**
    *
    * @type { string }
    */
    adCode?: string;
    /**
    * 广告类型,00:单播单次，01：单播多次
    * @type { string }
    */
    adType?: string;
    /**
    * 广告优先级,数字越小优先级越高
    * @type { number }
    */
    adPriority?: number;
    /**
    *
    * @type { string }
    */
    adPosition?: string;
    /**
    *
    * @type { Date }
    */
    startTime?: Date;
    /**
    *
    * @type { Date }
    */
    endTime?: Date;
    /**
    *
    * @type { string }
    */
    linkMan?: string;
    /**
    *
    * @type { string }
    */
    linkEmail?: string;
    /**
    *
    * @type { string }
    */
    linkPhone?: string;
    /**
    *
    * @type { number }
    */
    clickCount?: number;
    /**
    *
    * @type { number }
    */
    sendCount?: number;
    /**
    *
    * @type { string }
    */
    status?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    *
    * @type { number }
    */
    reservedField1?: number;
    /**
    *
    * @type { number }
    */
    reservedField2?: number;
    /**
    *
    * @type { string }
    */
    reservedField3?: string;
    /**
    *
    * @type { string }
    */
    reservedField4?: string;
    /**
    *
    * @type { string }
    */
    reservedField5?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 用户群体,00:全部，01：微信关注用户，02：未关注用户
    * @type { string }
    */
    userGroup?: string;
    /**
    * 广告来源,01:后台，02：KOS
    * @type { string }
    */
    source?: string;
    /**
    * 投放平台,00:全部，01：微信，02：支付宝
    * @type { string }
    */
    platform?: string;
}
export declare class BusParkingAdConfigMI {
    static get AD_CFG_ID(): FieldInfo;
    static get AD_NAME(): FieldInfo;
    static get AD_TITLE(): FieldInfo;
    static get AD_LINK(): FieldInfo;
    static get AD_PIC_URL(): FieldInfo;
    static get AD_CODE(): FieldInfo;
    static get AD_TYPE(): FieldInfo;
    static get AD_PRIORITY(): FieldInfo;
    static get AD_POSITION(): FieldInfo;
    static get START_TIME(): FieldInfo;
    static get END_TIME(): FieldInfo;
    static get LINK_MAN(): FieldInfo;
    static get LINK_EMAIL(): FieldInfo;
    static get LINK_PHONE(): FieldInfo;
    static get CLICK_COUNT(): FieldInfo;
    static get SEND_COUNT(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get RESERVED_FIELD1(): FieldInfo;
    static get RESERVED_FIELD2(): FieldInfo;
    static get RESERVED_FIELD3(): FieldInfo;
    static get RESERVED_FIELD4(): FieldInfo;
    static get RESERVED_FIELD5(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get USER_GROUP(): FieldInfo;
    static get SOURCE(): FieldInfo;
    static get PLATFORM(): FieldInfo;
}
